Subject: [Fot] Kastner Cup Tech

From: Philip Gott via Fot <[email-masked]>
Date: Mon, 11 Aug 2025 17:42:40 -0400

Greetings!
Mike Harmuth and I will be conducting a “roving tech” for this event on Thursday. We should all be paddocked together, making that fairly easy. Hours when we will do this are hard to predict at this point: I will arrive at the track around 3. Mike will arrive a bit earlier. We need to work around parade registration at 3:30-5:00 and possibly a track talk and/or walk that afternoon as well. In any event our goal is to get everyone teched by Thursday evening. Please don’t leave the paddock Thursday until you have been teched (doing the parade, as I will, is ok and in fact I can likely tech your car - and gear if you bring it - while in line or at the “show!”). We want everyone to be able to focus on practice and qualifying on Friday!
Yours for the sport,
Phil
508 414 0256 (note: no reliable cell service for my T mobile at Lime Rock)

Sent from my iPhone
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]